Bug 1393956 - Preload soci-mysql (and soci) on RHEL7 and CentOS7/MapR images
Summary: Preload soci-mysql (and soci) on RHEL7 and CentOS7/MapR images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: sahara-image-elements
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Telles Nobrega
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks: 1337664 1393498
TreeView+ depends on / blocked
 
Reported: 2016-11-10 17:20 UTC by Luigi Toscano
Modified: 2017-05-17 19:45 UTC (History)
7 users (show)

Fixed In Version: sahara-image-elements-6.0.0-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:45:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Luigi Toscano 2016-11-10 17:20:23 UTC
Description of problem:
When

After removing the references to EPEL from the server side (tracked in https://bugzilla.redhat.com/show_bug.cgi?id=1371641), the generated RHEL7 (and CentOS7) images don't work because they try to install soci-mysql (and soci) at runtime, which are available only for EPEL.

The image building of MapR images for RHEL7 and CentOS7 should then, at some point and *without* mixing these steps with other steps:
- add EPEL
- install soci-mysql and soci
- remove EPEL

Found on:
openstack-sahara-api-5.0.0-3.el7ost.noarch
openstack-sahara-common-5.0.0-3.el7ost.noarch
openstack-sahara-engine-5.0.0-3.el7ost.noarch
python-sahara-5.0.0-3.el7ost.noarch
sahara-image-elements-5.0.0-2.el7ost.noarch

Comment 2 Luigi Toscano 2017-02-01 09:03:05 UTC
The corresponding feature (MapR support, see https://bugzilla.redhat.com/show_bug.cgi?id=1337664 and https://bugzilla.redhat.com/show_bug.cgi?id=1393498) was moved to 11, so move this bug as well. And mark it as blocker this time (or no RHEL-based MapR image).

Comment 4 Luigi Toscano 2017-03-21 08:48:33 UTC
The attribute  +x is missing on the added 45-epel-dependencies.sh script, so dib does not run it.

Comment 7 Raissa Sarmento 2017-03-29 10:32:04 UTC
Generated MapR images are now working without the soci/soci-mysql issue appearing.

Tested with images generated using:

sahara-image-elements-6.0.0-6.el7ost.noarch
diskimage-builder-1.27.1-0.20170302013848.65c6da5.el7ost.noarch
dib-utils-0.0.11-1.el7ost.noarch

Comment 8 Raissa Sarmento 2017-03-29 10:32:05 UTC
Generated MapR images are now working without the soci/soci-mysql issue appearing.

Tested with images generated using:

sahara-image-elements-6.0.0-6.el7ost.noarch
diskimage-builder-1.27.1-0.20170302013848.65c6da5.el7ost.noarch
dib-utils-0.0.11-1.el7ost.noarch

Comment 9 errata-xmlrpc 2017-05-17 19:45:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.